import pytest
from orchestrator.types import SubscriptionLifecycle

from gso.products import NRENL3CoreService, ProductName
from test.workflows import assert_complete, run_workflow


@pytest.mark.workflow()
def test_import_edge_port_success(geant_ip_subscription_factory):
    imported_geant_ip = geant_ip_subscription_factory(is_imported=False)
    result, _, _ = run_workflow("import_geant_ip", [{"subscription_id": imported_geant_ip}])
    subscription = NRENL3CoreService.from_subscription(imported_geant_ip)

    assert_complete(result)
    assert subscription.product.name == ProductName.GEANT_IP
    assert subscription.status == SubscriptionLifecycle.ACTIVE
    assert subscription.insync
